#
# spec file for package 
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           openssl-engine-af_alg
Version:        0.0_git201202292316
Release:        3.1
License:        OpenSSL
Summary:        AF_ALG engine for OpenSSL
URL:		https://github.com/RidgeRun/af-alg-rr
Group:          Productivity/Networking/Security
# i think it came from git://git.carnivore.it/users/common/af_alg.git , which is dead now -Marcus
Source:         %{name}-%{version}.tar.xz
# copied out of openssl
Source1:        LICENSE
BuildRequires:  openssl-devel xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains an AF_ALG engine for OpenSSL. You will need to edit openssl.cnf to
enable it.

%prep
%setup -q
cp %{SOURCE1} .

%build
%{__cc} %{optflags} -Wall -fPIC -c -o e_af_alg.o e_af_alg.c
%{__cc} %{optflags} -Wall -fPIC -shared -Wl,-soname,libaf_alg.so -o libaf_alg.so e_af_alg.o -lcrypto

%install
%{__mkdir_p} %{buildroot}/%{_lib}/engines
cp libaf_alg.so %{buildroot}/%{_lib}/engines 

%files
%defattr(-,root,root)
%doc README LICENSE
%dir /%{_lib}/engines
/%{_lib}/engines/libaf_alg.so

%changelog
* Tue Sep  1 2015 meissner@suse.com
- add some correct urls.
* Sun Nov 25 2012 crrodriguez@opensuse.org
- Initial version
